#import "~/graphql_shared/fragments/page_info.fragment.graphql"
#import "../fragments/workspace_item.fragment.graphql"

query agentWorkspaces(
  $first: Int
  $before: String
  $after: String
  $agentName: String!
  $projectPath: ID!
) {
  project(fullPath: $projectPath) {
    id
    clusterAgent(name: $agentName) {
      id
      workspaces(first: $first, before: $before, after: $after) {
        nodes {
          ...WorkspaceItem
        }
        pageInfo {
          ...PageInfo
        }
      }
    }
  }
}
